DynamicJava Javadoc: Class Literal

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class Literal

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Expression
                  |
                  +--koala.dynamicjava.tree.PrimaryExpression
                        |
                        +--koala.dynamicjava.tree.Literal

Direct Known Subclasses:
  BooleanLiteral, CharacterLiteral, DoubleLiteral, FloatLiteral, IntegerLiteral, LongLiteral, NullLiteral, StringLiteral

public abstract class Literal
extends PrimaryExpression

This class represents the literal nodes of the syntax tree

Field Summary
`static java.lang.String` | `REPRESENTATION` The representation property name
`static java.lang.String` | `TYPE` The type property name
`static java.lang.String` | `VALUE` The value property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`protected` | `Literal(java.lang.String rep, java.lang.Object val, java.lang.Class typ, java.lang.String fn, int bl, int bc, int el, int ec)` Initializes a literal

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.lang.String` | `getRepresentation()` Returns the representation of this object
`java.lang.Class` | `getType()` Returns the type of this expression.
`java.lang.Object` | `getValue()` Returns the value of this expression
`void` | `setRepresentation(java.lang.String s)` Sets the representation of this object
`void` | `setType(java.lang.Class c)` Sets the type of this object
`void` | `setValue(java.lang.Object o)` Sets the value of this object

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPRESENTATION

    public static final java.lang.String REPRESENTATION

  The representation property name

### VALUE

    public static final java.lang.String VALUE

  The value property name

### TYPE

    public static final java.lang.String TYPE

  The type property name

Constructor Detail

### Literal

    protected Literal(java.lang.String rep,
                      java.lang.Object val,
                      java.lang.Class typ,
                      java.lang.String fn,
                      int bl,
                      int bc,
                      int el,
                      int ec)

  Initializes a literal
  Parameters:
    `rep` - the representation of the literal
    `val` - the value of this literal
    `typ` - the type of this literal
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if rep is null

Method Detail

### getRepresentation

    public java.lang.String getRepresentation()

  Returns the representation of this object

### setRepresentation

    public void setRepresentation(java.lang.String s)

  Sets the representation of this object
  Throws:
    `java.lang.IllegalArgumentException` - if s is null

### getValue

    public java.lang.Object getValue()

  Returns the value of this expression

### setValue

    public void setValue(java.lang.Object o)

  Sets the value of this object
  Throws:
    `java.lang.IllegalArgumentException` - if o is null

### getType

    public java.lang.Class getType()

  Returns the type of this expression. NOTE: the 'null' literal has a null type

### setType

    public void setType(java.lang.Class c)

  Sets the type of this object

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.